# ============================================================================
#  Name	 : build_help.mk
#  Part of  : TestD
# ============================================================================
#  Name	 : build_help.mk
#  Part of  : TestD
#
#  Description: This make file will build the application help file (.hlp)
# 
# ============================================================================

do_nothing :
	@rem do_nothing

# build the help from the MAKMAKE step so the header file generated
# will be found by cpp.exe when calculating the dependency information
# in the mmp makefiles.

MAKMAKE : TestD_0xEBD8E44C.hlp
TestD_0xEBD8E44C.hlp : TestD.xml TestD.cshlp Custom.xml
	cshlpcmp TestD.cshlp
ifeq (WINSCW,$(findstring WINSCW, $(PLATFORM)))
	md $(EPOCROOT)epoc32\$(PLATFORM)\c\resource\help
	copy TestD_0xEBD8E44C.hlp $(EPOCROOT)epoc32\$(PLATFORM)\c\resource\help
endif

BLD : do_nothing

CLEAN :
	del TestD_0xEBD8E44C.hlp
	del TestD_0xEBD8E44C.hlp.hrh

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE : do_nothing
		
FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo TestD_0xEBD8E44C.hlp

FINAL : do_nothing
