/*
 ============================================================================
 Name		: WirelessNetwork.cpp
 Author	  : Philipp Heckel
 Version	 : 1.0
 Copyright   : GPL
 Description : CWirelessNetwork implementation
 ============================================================================
 */

#include "WirelessNetwork.h"

CWirelessNetwork::CWirelessNetwork()
	{
	// No implementation required
	}

CWirelessNetwork::~CWirelessNetwork()
	{
	}

CWirelessNetwork* CWirelessNetwork::NewLC()
	{
	CWirelessNetwork* self = new (ELeave) CWirelessNetwork();
	CleanupStack::PushL(self);
	self->ConstructL();
	return self;
	}

CWirelessNetwork* CWirelessNetwork::NewL()
	{
	CWirelessNetwork* self = CWirelessNetwork::NewLC();
	CleanupStack::Pop(); // self;
	return self;
	}

void CWirelessNetwork::ConstructL()
	{

	}


void CWirelessNetwork::SetBSSID(TWlanBssid &BSSID)
	{
	iBSSID.Copy(BSSID);
	}

void CWirelessNetwork::SetSSID(TWlanSsid &SSID)
	{
	iSSID.Copy(SSID);
	}

void CWirelessNetwork::SetSignalStrength(TUint8 SignalStrength)
	{
	iSignalStrength = SignalStrength;
	}

TWlanBssid& CWirelessNetwork::GetBSSID()
	{
	return iBSSID;
	}

TWlanSsid& CWirelessNetwork::GetSSID()
	{
	return iSSID;
	}

TUint8 CWirelessNetwork::GetSignalStrength()
	{
	return iSignalStrength;
	}
