/*
 ============================================================================
 Name		: TestC.cpp
 Author	  : 
 Copyright   : Your copyright notice
 Description : Exe source file
 ============================================================================
 */

//  Include Files  

#include "TestD.h"
#include <e32base.h>
#include <e32std.h>
#include <e32cons.h>			// Console

#include <in_sock.h>

#include <etel3rdparty.h>

#include <Application.h>
#include <TCPDaemon.h>
#include <WirelessNetwork.h>

//  Constants

_LIT(KTextConsoleTitle, "Console");
_LIT(KTextFailed, " failed, leave code = %d");
_LIT(KTextPressAnyKey, " [press any key]\n");

//  Global Variables

LOCAL_D CConsoleBase* console; // write all messages to this


//  Local Functions

LOCAL_C void MainL()
	{
	/*
	 * http://wiki.forum.nokia.com/index.php/Monitoring_battery_status_with_CTelephony
	 * http://discussion.forum.nokia.com/forum/showthread.php?t=182335
	 * 
	 * http://wiki.forum.nokia.com/index.php/Splitting_long_running_tasks_with_active_objects
	 * 
	 * SLEEP:
	 * If you are after synchronous waits, from the symbian developer forum, a suggested solution is User::After().
	 * Inactivity timers are the standard, see RTimer::Inactivity.
	 * 
	 * TIMER:
	 * http://wiki.forum.nokia.com/index.php/Simple_Timer_implementation
	 * 
	 * MIDlet search + launch:
	 * http://wiki.forum.nokia.com/index.php/TSS000465_-_Launching_MIDlets_programmatically_on_S60_3rd_Edition
	 * http://wiki.forum.nokia.com/index.php/Launching_a_midlet_from_Symbian_C%2B%2B_code
	 * 
	 * http://developer.symbian.com/forum/thread.jspa?threadID=16076
	 * 
	 * THREAD:
	 * http://wiki.forum.nokia.com/index.php/Thread_vs_Active_Object
	 */

	
		
	// FROM: http://wiki.forum.nokia.com/index.php/TSS000465_-_Launching_MIDlets_programmatically_on_S60_3rd_Edition
	// and: http://wiki.forum.nokia.com/index.php/How_to_get_Application_Icon_using_RApaLsSession
	   

	   
	
	    
	// Start main application
	console->Write(_L("Creating CApplication ...\n"));
	CApplication* app = CApplication::NewL(console);
	
	//app->StartMIDlet();
	console->Write(_L("Creating CTCPDaemon ...\n"));
	CTCPDaemon* daemon = CTCPDaemon::NewL(app);
	
	daemon->Listen();
	
	/***
	 * 
	 * WORKS !!
	 * 
	 
	CWirelessSensor* wifiSensor = CWirelessSensor::NewL();
	CArrayFixFlat<CWirelessNetwork>* networks = wifiSensor->GetWirelessNetworks();

	for (TInt i = 0; i < networks->Count(); i++)
	 {
		CWirelessNetwork* wlan = &(networks->At(i));
		
		console->Write(_L("\n"));
		TWlanBssid bssid = wlan->GetBSSID();
		
		for(TUint8 j = 0; j<bssid.Length(); j++)
			console->Printf(_L("%02X"), bssid[j]);	
		
		console->Write(_L(", "));
		TWlanSsid ssid = wlan->GetSSID();
		
		for(TUint8 j = 0; j<ssid.Length(); j++)
			console->Printf(_L("%c"), ssid[j]);		
	 }
	
	*/
	/*
	console->Printf(_L("---\n"));
	
	// FROM: http://developer.symbian.org/main/documentation/reference/s%5E3/doc_source/guide/KernelandHardwareServices/usrlib_filesrv/userlib/ArraysAndLists/DynamicArrays/DynamicArraysGuide2/HowToAppendAndInsert.guide.html
	// http://developer.symbian.org/main/documentation/reference/s%5E3/doc_source/guide/KernelandHardwareServices/usrlib_filesrv/userlib/ArraysAndLists/DynamicArrays/DynamicArraysGuide2/HowToAccessElements.guide.html
	CArrayFixFlat<CWirelessNetwork>* networks2 = new (ELeave) CArrayFixFlat<CWirelessNetwork>(5);
	
	CWirelessNetwork* A = CWirelessNetwork::NewL();
	CWirelessNetwork* B = CWirelessNetwork::NewL();
	
	TUint8 bssid[6] = {0x00,0x19,0xcb,0x86,0x7e,0x2e}; // 00:19:CB:86:7E:2E
	TUint8 ssid[32] = {0x50,0x68,0x69,0x4c,0x65,0x4d,0x69,0x6b,0x61}; // PhiLeMiKa
	
	TBuf8<6> bssid2;
	bssid2.Copy(bssid, sizeof(bssid));

	TBuf8<32> ssid2;
	ssid2.Copy(ssid, sizeof(ssid));
	
	A->SetBSSID(bssid2);
	A->SetSSID(ssid2);
	A->SetSignalStrength(51);
	
	B->SetBSSID(bssid2);
	B->SetSSID(ssid2);
	B->SetSignalStrength(51);	
	
	networks2->AppendL(*A);
	networks2->AppendL(*B);

	//TWlanBssid xy = bssid;//A->GetBSSID();
	//console->Printf(_L("len %d"), bssid2.Length());
	//for(TUint8 j = 0; j<bssid2.Length(); j++)
	//	console->Printf(_L("%02X"), bssid2[j]);	

	for (TInt i = 0; i < networks2->Count(); i++)
	 {
		CWirelessNetwork* wlan = &(networks2->At(i));
		
		console->Write(_L("\n"));
		TWlanBssid bssid = wlan->GetBSSID();
		
		for(TUint8 j = 0; j<bssid.Length(); j++)
			console->Printf(_L("%02X"), bssid[j]);	
		
		console->Write(_L("\n"));
		TWlanSsid ssid = wlan->GetSSID();
		
		for(TUint8 j = 0; j<ssid.Length(); j++)
			console->Printf(_L("%c"), ssid[j]);		
	 }
	
	console->Getch();*/
	
//	RSocket socket;	app->GetWirelessNetworksTest(socket); console->Getch();
	
	
	
	// Start J2ME thread
	//_LIT(KThreadName, "J2ME"); 
	 
	/*RThread iThread;
	TInt res = iThread.Create( KThreadName, ThreadEntryPoint, KDefaultStackSize,
	                   NULL, &app);
	 
	iThread.Resume();
	 
	// Control passes to this function when the thread is first resumed, 
	// i.e. when the thread is initially scheduled to run
	// It just changes the value of the variable.
	 
	TInt ThreadEntryPoint(TAny* param)
	{
	 
		CApplication* app =  static_cast<CApplication *>(param);
		
		*app->
		
		return 1;

	}*/
	
	/*

	TUint chargeStatus = app->GetChargeStatus();
	//CTelephony::TBatteryStatus batteryStatus = some->GetBatteryStatus();
	//User::After()
	console->Printf(_L("battery charge status = %d\n"), chargeStatus);
	
	console->Getch();
	
	//CTelephony::TBatteryStatus batteryStatus = some->GetBatteryStatus();
	//User::After()
	console->Printf(_L("battery charge status = %d\n"), app->GetChargeStatus());
	

*/
	}

LOCAL_C void DoStartL()
	{
	// Create active scheduler (to run active objects)
	CActiveScheduler* scheduler = new (ELeave) CActiveScheduler();
	CleanupStack::PushL(scheduler);
	CActiveScheduler::Install(scheduler);

	MainL();

	// Delete active scheduler
	CleanupStack::PopAndDestroy(scheduler);
	}

//  Global Functions

GLDEF_C TInt E32Main()
	{
	// Create cleanup stack
	__UHEAP_MARK;
	CTrapCleanup* cleanup = CTrapCleanup::New();

	// Create output console
	TRAPD(createError, console = Console::NewL(KTextConsoleTitle, TSize(
			KConsFullScreen, KConsFullScreen)));
	if (createError)
		{
		delete cleanup;
		return createError;
		}

	// Run application code inside TRAP harness, wait keypress when terminated
	TRAPD(mainError, DoStartL());
	if (mainError)
		console->Printf(KTextFailed, mainError);
	console->Printf(KTextPressAnyKey);
	console->Getch();

	delete console;
	delete cleanup;
	__UHEAP_MARKEND;
	return KErrNone;
	}

